<app-loading *ngIf="isLoading"></app-loading>
<nz-card>
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='BORDER'>
    <em nz-icon nzType="snippets" nzTheme="outline" class="font_size_icon"></em>
    <span class="text_padding">{{ 'development.interview-config.buttonAction.downloadFileTutorial' | translate }}</span>
    <em nz-icon nzType="vertical-align-bottom" nzTheme="outline" class="font_size_icon"></em>
  </mb-button>
  <nz-upload
    [nzDownload]="downloadFile"
    nzListType="text"
    [(nzFileList)]="fileImport"
    [nzBeforeUpload]="beforeUpload"
    [nzRemove]="doRemoveFile"
    [nzMultiple]="false"
  >
    <mb-button mbButtonAvailableStyle='PRIMARY'>
      <span>
        <em nz-icon nzType="upload"></em>
      </span>
    </mb-button>
  </nz-upload>
</nz-card>
<div>
  <div class="set__screen">
    <div class="set__width">
      <!--Danh sách không lỗi-->
      <div class="padding padding__right">
        <nz-card>
          <div class="set__screen">
            <h3 class="set__width title_table">{{'development.interview-config.colTable.errorFreeList' | translate}}</h3>
            <div class="set__width padding_button">
              <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY'
                         mbButtonText="{{ 'development.interview-config.buttonAction.saveData' | translate }}">
              </mb-button>
            </div>
          </div>
          <mb-table-wrap [mbTitle]="''" [extra]='false'>
            <mb-table
              (changePageNum)="search($event)"
              [tableConfig]="tableConfig"
              [tableData]="dataTable"
              [heightTable]="heightTable"
            >
            </mb-table>
          </mb-table-wrap>
        </nz-card>
      </div>
    </div>
    <div class="set__width">
      <!--Danh sách có lỗi-->
      <div class="padding">
        <nz-card>
          <div class="set__screen">
            <h3 class="set__width title_table">{{'development.interview-config.colTable.errorList' | translate}}</h3>
            <div class="set__width padding_button">
              <mb-button
                mbButtonAvailableStyle='BORDER'
                mbButtonSize="LARGE"
                (click)="exportExcel(false)"
                [mbIsDisable]="isLoading"
              >
                <img src="assets/images/icon/excel.svg" alt=""/>
              </mb-button>
            </div>
          </div>
          <mb-table-wrap [mbTitle]="''" [extra]='false'>
            <mb-table
              (changePageNum)="search($event)"
              [tableConfig]="tableConfigError"
              [tableData]="dataTable"
              [heightTable]="heightTable"
            >
            </mb-table>
          </mb-table-wrap>
        </nz-card>
      </div>
    </div>
  </div>
</div>
